Bug 105511 - RTF import: documents with ansicpg0 are imported with wrong encoding
Summary: RTF import: documents with ansicpg0 are imported with wrong encoding
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-24 19:51 UTC by Mike Kaganski
Modified: 2020-05-07 07:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test RTF with ansicpg0 (77.07 KB, application/msword)
2017-01-24 19:51 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2017-01-24 19:51:32 UTC
Created attachment 130664 [details]
Test RTF with ansicpg0

The test file is from https://ask.libreoffice.org/en/question/85559/is-there-a-way-to-change-the-encoding-or-see-this-rtf-document-in-cyrillic/

The file is imported with text encoded wrong (actually, it contains text in win-1251). As the encoding (codepage) isn't supplied explicitly, LO should offer a way to specify default encoding. The proposal is to use existing Default document language setting.
Comment 1 Mike Kaganski 2017-01-24 19:55:39 UTC
A patch is proposed for review: https://gerrit.libreoffice.org/33505
Comment 2 Commit Notification 2017-01-25 06:48:05 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f26bbdb386f9e66b1a154d0589b1a446ea2dd8d5

tdf#105511: use LO language settings to set default RTF language

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-01-25 11:59:16 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff4f48892aca8de695709132fdeb099809db8b55

tdf#105511: Unit test

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 QA Administrators 2017-03-01 10:51:27 UTC
Hello Mike,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 5 Mike Kaganski 2017-03-01 16:24:16 UTC
Yes, sorry for delay.